Bug 1090071 - `docker start` doesn't fail on started container
Summary: `docker start` doesn't fail on started container
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: docker-io
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jack Rieden
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1096293
TreeView+ depends on / blocked
 
Reported: 2014-04-22 13:38 UTC by Lukas Doktor
Modified: 2015-06-30 01:39 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1096293 (view as bug list)
Environment:
Last Closed: 2015-06-30 01:39:20 UTC
Type: Bug


Attachments (Terms of Use)

Description Lukas Doktor 2014-04-22 13:38:35 UTC
Description of problem:
On older (0.9) docker, the `docker start $running_container` failed. The new 0.10.2 version just prints the container name and proceeds.

Version-Release number of selected component (if applicable):
docker-io-0.10.0-2.fc20.x86_64

How reproducible:
Always

Steps to Reproduce:
1. docker run -i -t -name test fedora bash
2. docker start test

Actual results:
[root@t530 ~]# docker start test
test
[root@t530 ~]# echo &?
0

Expected results:
[root@t530 ~]# docker start test
Error: Cannot start container test: The container 429d709bc86c037b09e9f74dfab40aa33dc19bcf3109daf3f5b2fbbd3c6df297 is already running.
2014/04/22 15:29:28 Error: failed to start one or more containers
[root@t530 ~]# echo &?
1

Comment 1 Lukas Doktor 2014-05-05 07:38:57 UTC
Upstream Docker version 0.10.0, build dc9c28f/0.10.0 has the same issue (silently passes even thought the container was already running)

Comment 2 Matthew Heon 2014-05-29 17:18:31 UTC
This is not a regression, but a deliberate change by upstream - https://github.com/dotcloud/docker/commit/a03f83e3370f3859ebff172d504cc29817863b17. 

Given the confusion, potentially a documentation issue here - perhaps this should be clarified in the docker start help info.

Comment 3 Daniel Walsh 2014-06-03 20:38:42 UTC
Yes make a change there and in the man pages.

Comment 4 Matthew Heon 2014-06-03 21:18:46 UTC
Pull request for man pages submitted to upstream. Not sure if this is necessarily appropriate for in-command help documentation, which is usually kept more brief.

https://github.com/dotcloud/docker/pull/6182

Comment 6 Matthew Heon 2014-06-11 12:47:31 UTC
This should be fixed in docker-io-1.0.0-1, which just made it into updates-testing.

Comment 7 Lukas Doktor 2014-07-18 08:58:38 UTC
Thanks, the new behavior is set and stable now :-)

Comment 9 Fedora End Of Life 2015-05-29 11:38:44 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2015-06-30 01:39:20 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.